#ifndef _TYPES_H
#define _TYPES_H

#include "private/types.h"

typedef enum {
  DS2482_TYPE_100,
  DS2482_TYPE_800,
} ds2482_type;

struct drup_config {
  struct drup_device *device;
  bool verbose;
};

struct drup_device {
  char *i2c_dev;
  uint8_t address;
  ds2482_type subtype;
};

struct drup_state {
  struct drup_config *config;

  struct master *master;
};

#endif
