#ifndef _I2C_H
#define _I2C_H

#include <stdbool.h>
#include <stdint.h>

#include "drup/types.h"
#include "private/types.h"

bool i2c_read_byte (const struct master *master, uint8_t *ret);
bool i2c_cmd (const struct master *master, uint8_t cmd);
bool i2c_cmd_with_block (const struct master *master, uint8_t cmd, uint8_t length, const uint8_t *data);
bool i2c_cmd_with_data (const struct master *master, uint8_t cmd, uint8_t data);

#endif
