#ifndef _TYPES_PRIVATE_H_
#define _TYPES_PRIVATE_H_

#include <stdint.h>

struct master {
  int fd;

  uint8_t num_buses;
  struct bus **buses;
  int selected_bus;
};

struct bus {
  const struct master *master;
  uint8_t number;
  uint8_t chan_select;
  uint8_t chan_select_ack;
};

struct key {
  const struct bus *bus;
  uint64_t device_id;
  const uint8_t *secret;
  uint16_t auth_addr;
};

#endif
